- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

### - r -

- read() : Exiv2::ValueType< T >, Exiv2::TimeValue, Exiv2::DateValue, Exiv2::CommentValue, Exiv2::AsciiValue, Exiv2::StringValueBase, Exiv2::DataValue, Exiv2::Value, Exiv2::TiffHeade2, Exiv2::MinoltaMakerNote, Exiv2::SonyMnHeader, Exiv2::SigmaMnHeader, Exiv2::PanasonicMnHeader, Exiv2::Nikon3MnHeader, Exiv2::Nikon2MnHeader, Exiv2::FujiMnHeader, Exiv2::OlympusMnHeader, Exiv2::MnHeader, Exiv2::IfdMakerNote, Exiv2::MakerNote, Exiv2::TiffHeader, Exiv2::Ifd, Exiv2::CiffHeader, Exiv2::CiffComponent, Exiv2::CanonMakerNote, Exiv2::MemIo, Exiv2::FileIo, Exiv2::BasicIo
- readDirectory() : Exiv2::CiffDirectory
- readHeader() : Exiv2::SonyMakerNote, Exiv2::SigmaMakerNote, Exiv2::PanasonicMakerNote, Exiv2::OlympusMakerNote, Exiv2::Nikon3MakerNote, Exiv2::Nikon2MakerNote, Exiv2::TiffIfdMakernote, Exiv2::IfdMakerNote, Exiv2::FujiMakerNote
- readMetadata() : Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- readSubIfd() : Exiv2::Ifd
- readTiffEntry() : Exiv2::TiffReader
- record() : Exiv2::Iptcdatum, Exiv2::IptcKey
- recordDesc() : Exiv2::IptcDataSets
- recordId() : Exiv2::IptcDataSets
- RecordInfo() : Exiv2::RecordInfo
- recordName() : Exiv2::Iptcdatum, Exiv2::IptcKey, Exiv2::IptcDataSets
- registerBaseTagInfo() : Exiv2::ExifTags
- registerImage() : Exiv2::ImageFactory
- registerMakerNote() : Exiv2::MakerNoteFactory
- registerMakerTagInfo() : Exiv2::ExifTags
- registerTask() : Action::TaskFactory
- release() : Exiv2::DataBuf
- remove() : Exiv2::CiffHeader, Exiv2::CiffComponent
- reset() : Exiv2::DataBuf
- resetState() : Exiv2::TiffReader
- result() : Exiv2::TiffFinder
- run() : Action::FixIso, Action::Modify, Action::Insert, Action::Extract, Action::Erase, Action::Adjust, Action::Rename, Action::Print, Action::Task